<!-- affichage de liste des ordres de tarvail de l'intervenant  -->

<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title   " >liste des ordres de tarvail reçus</h4>
                        <p class="card-category"> </p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table">
                                <thead >
                                <th class="td-actions text-center">
                                    ID
                                </th>
                                <th class="td-actions text-center">
                                    Responsable
                                </th>
                                <th class="td-actions text-center">
                                    Gouvernante
                                </th>
                                <th class="td-actions text-center">
                                    Emplacment
                                </th>
                                <th class="td-actions text-center">
                                    Panne
                                </th>
                                <th class="td-actions text-center">
                                    Priorité
                                </th>
                                <th class="td-actions text-center">
                                    Date début intervention
                                </th>
                                <th class="td-actions text-center">
                                    Date limite intervention
                                </th>

                                <th>

                                </th>
                                </thead>
                                <tbody>
                                <tr *ngFor=" let c of  ordres">
                                    <td class="td-actions text-center">{{c.id}}</td>
                                    <td class="td-actions text-center">{{c.Responsable.prenom}}</td>
                                    <td class="td-actions text-center">{{c.Gouvernante.prenom}}</td>
                                    <td class="td-actions text-center">{{c.Emplacement.libelle_emplacement}}</td>
                                    <td class="td-actions text-center" > <div *ngFor=" let p of c.Pannes" > {{p.libelle_panne}} </div></td>
                                    <td class="td-actions text-center" *ngIf="c.priorite == 'bas'" > <span class="vert"> {{c.priorite}}</span></td>
                                    <td class="td-actions text-center" *ngIf="c.priorite == 'haut'"> <span class="red">{{c.priorite}}</span></td>
                                    <td class="td-actions text-center" *ngIf="c.priorite == 'moyenne'" ><span class="orang">{{c.priorite}}</span></td>
                                    <td class="td-actions text-center">{{c.date_deb_interv | date:'short'}}</td>
                                   <td class="td-actions text-center"> {{c.date_limit_interv | date:'short'}} </td>
                                    <td>
                                        <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"
                                                [routerLink]="[ '/mesOrdreTravail', c.id ]">Détails </button>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




